This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 810349 - create .env/OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT for non-scaled apps
create .env/OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT for non-scaled apps
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 12:49 EDT by Bill DeCoste
Modified: 2015-05-14 21:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:33:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill DeCoste 2012-04-05 12:49:39 EDT
Description of problem:
OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT doesn't exist for non-scaled apps

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Create non-scaled JBoss app
2.
3.
  
Actual results:
OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT does not exist


Expected results:
OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT should exist and use port 7600


Additional info:
Comment 1 Xiaoli Tian 2012-04-06 04:12:05 EDT
The fix has not been included in devenv_1696, need to wait for the new build comes.
Comment 2 Xiaoli Tian 2012-04-08 23:35:41 EDT
Verified it on devenv_1697 with cartridge-jbossas-7-0.90.2-1.git.119.b643636.el6.noarch.


[jbossapp3-domx85.dev.rhcloud.com .env]\> cat OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT 
export OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT='7600'
Comment 3 Rob Millner 2012-04-10 14:04:03 EDT
If scaling is ever enabled on that gear, then OPENSHIFT_JBOSS_CLUSTER_PROXY_PORT will be overwritten with the proxy port (ex: 35531).  Does 7600 need to be stored in a different variable?  OPENSHIFT_JBOSS_CLUSTER_PORT?

Note You need to log in before you can comment on or make changes to this bug.